%define name zz_sshd_pam
%define version 3.9
%define release 3

Summary: Change the sshd_config to use Pam, which is turned off by default.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
BuildArch: noarch

%description
Change the sshd_config to use Pam, which is turned off by default.
This is designed for openssh 3.9 and newer.

%triggerin -- openssh-server
cat /etc/ssh/sshd_config | sed 's:^UsePAM no:UsePAM yes:' > /etc/ssh/sshd_config.tmp
mv -f /etc/ssh/sshd_config.tmp /etc/ssh/sshd_config

%postun
if [ "$1" = "0" ] ; then
	cat /etc/ssh/sshd_config | sed 's:^UsePAM yes:UsePAM no:' > /etc/ssh/sshd_config.tmp
	mv -f /etc/ssh/sshd_config.tmp /etc/ssh/sshd_config
fi

%files

%changelog
* Wed Aug 23 2006 Troy Dawson <dawson@fnal.gov> 3.9-3
- Remove %triggerpostun and switched it to %postun

* Wed Aug 23 2006 Troy Dawson <dawson@fnal.gov> 3.9-2
- Changed /etc/ssh/sshd_conf to /etc/ssh/sshd_config

* Mon Aug 21 2006 Troy Dawson <dawson@fnal.gov> 3.9-1
- First go round

